/*
 * URL Shortener API
 * This API is responsible of authetication and the creation, modification and deletion of uris and hooks.
 *
 * OpenAPI spec version: 0.2.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.9
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD.
    define(['expect.js', '../../src/index'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    factory(require('expect.js'), require('../../src/index'));
  } else {
    // Browser globals (root is window)
    factory(root.expect, root.UrlShortenerApi);
  }
}(this, function(expect, UrlShortenerApi) {
  'use strict';

  var instance;

  describe('(package)', function() {
    describe('HookActionHTTP', function() {
      beforeEach(function() {
        instance = new UrlShortenerApi.HookActionHTTP();
      });

      it('should create an instance of HookActionHTTP', function() {
        // TODO: update the code to test HookActionHTTP
        expect(instance).to.be.a(UrlShortenerApi.HookActionHTTP);
      });

      it('should have the property endpoint (base name: "endpoint")', function() {
        // TODO: update the code to test the property endpoint
        expect(instance).to.have.property('endpoint');
        // expect(instance.endpoint).to.be(expectedValueLiteral);
      });

      it('should have the property verb (base name: "verb")', function() {
        // TODO: update the code to test the property verb
        expect(instance).to.have.property('verb');
        // expect(instance.verb).to.be(expectedValueLiteral);
      });

      it('should have the property params (base name: "params")', function() {
        // TODO: update the code to test the property params
        expect(instance).to.have.property('params');
        // expect(instance.params).to.be(expectedValueLiteral);
      });

      it('should have the property body (base name: "body")', function() {
        // TODO: update the code to test the property body
        expect(instance).to.have.property('body');
        // expect(instance.body).to.be(expectedValueLiteral);
      });

    });
  });

}));
